# coding=utf-8
"""
Script to run the tests for EarthDiagnostics and generate the code coverage report
"""


import os
work_path = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
os.chdir(work_path)
print(work_path)
import coverage
import unittest

cov = coverage.Coverage()
cov.start()
suite = unittest.TestLoader().discover('.')
unittest.TextTestRunner(verbosity=2).run(suite)
cov.stop()

cov.save()
cov.report()
cov.html_report()



